Bug 497705 - Review Request: spawn - Simple tool to run several Linux command-lines in parallel
Review Request: spawn - Simple tool to run several Linux command-lines in par...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 07:50 EDT by Fabian Affolter
Modified: 2009-05-28 04:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 19:27:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-04-26 07:50:09 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/spawn.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/spawn-0.1-1.fc10.src.rpm

Project URL: http://code.google.com/p/spawntool/

Description:
spawn is a simple parallel execution utility written to appeal to the Unix
mindset. spawn reads shell command lines from stdin, one per line, and then
executes them as maximum of N child processes in parallel, and waits for
all of the children to exit.
If a child process fails with a non-zero exit code, no new children are
spawned. Then spawn waits for all existing children to exit and returns
the failed exit code. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1321171

rpmlint output:
[fab@laptop24 i386]$ rpmlint spawn*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint spawn-0.1-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-04-26 12:07:09 EDT
Hmm, this looks useful as a complementary to batch queue managers.
Comment 2 Susi Lehtola 2009-04-26 12:41:18 EDT
rpmlint output is clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

APPROVED
Comment 3 Fabian Affolter 2009-04-26 13:06:52 EDT
New Package CVS Request
=======================
Package Name: spawn
Short Description: Simple tool to run several Linux command-lines in parallel
Owners: fab
Branches: F-9 F-10 F-11
InitialCC:
Comment 4 Kevin Fenzi 2009-04-27 01:39:34 EDT
cvs done.
Comment 5 Fedora Update System 2009-04-27 10:49:58 EDT
spawn-0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/spawn-0.1-1.fc10
Comment 6 Fedora Update System 2009-04-27 10:50:02 EDT
spawn-0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/spawn-0.1-1.fc11
Comment 7 Fedora Update System 2009-04-27 10:50:07 EDT
spawn-0.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/spawn-0.1-1.fc9
Comment 8 Fabian Affolter 2009-04-27 10:50:30 EDT
Thanks guys
Comment 9 Fedora Update System 2009-04-27 17:21:31 EDT
spawn-0.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spawn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3924
Comment 10 Fedora Update System 2009-04-27 17:29:14 EDT
spawn-0.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update spawn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3976
Comment 11 Fedora Update System 2009-05-06 19:27:51 EDT
spawn-0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-06 19:31:18 EDT
spawn-0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-28 04:15:00 EDT
spawn-0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.